#include<iostream>
#include <iomanip>
using namespace std;
int N,i,j;
long double A[200000],P[200000],Maxi=0,Trenut=0;
int main(){
	cin>>N;
	for(i=0;i<N;i++)cin>>A[i]>>P[i];
	for(i=0;i<N;i++){
		Trenut=0;
		for(j=0;j<N;j++)if(P[i]<=P[j]){
			Trenut+=A[j];
		}
		Trenut*=P[i]/100;
		if(Trenut>Maxi)Maxi=Trenut;
	}
	cout<<setprecision(16)<<Maxi;
	return 0;
}